Name: sympy
Version: 0.6.5
Release: alt1
Summary: A Python library for symbolic mathematics
License: New BSD License
Group: Sciences/Mathematics
Url: http://code.google.com/p/sympy/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>
BuildArch: noarch

# git://git.sympy.org/sympy.git
Source: %name-%version.tar.gz

Requires: python-module-%name = %version-%release

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel python-module-docutils python-module-sphinx
BuildPreReq: python-module-Pygments python-module-py

%description
SymPy is a Python library for symbolic mathematics. It aims to become a
full-featured computer algebra system (CAS) while keeping the code as
simple as possible in order to be comprehensible and easily extensible.

%package -n python-module-%name
Summary: A Python module for symbolic mathematics
Group: Development/Python
%setup_python_module %name

%description -n python-module-%name
SymPy is a Python library for symbolic mathematics. It aims to become a
full-featured computer algebra system (CAS) while keeping the code as
simple as possible in order to be comprehensible and easily extensible.

This package contains python module of SymPy.

%package -n python-module-%name-doc
Summary: Documentation for SymPy
Group: Development/Documentation
BuildArch: noarch

%description -n python-module-%name-doc
SymPy is a Python library for symbolic mathematics. It aims to become a
full-featured computer algebra system (CAS) while keeping the code as
simple as possible in order to be comprehensible and easily extensible.

This package contains development documentation for SymPy.

%prep
%setup

%build
%python_build

pushd doc
%make html
popd

%install
%python_install

cp -fR examples %buildroot%python_sitelibdir/%name/

install -d %buildroot%_docdir/%name
cp -fR doc/_build/html/* %buildroot%_docdir/%name/

%files
%doc AUTHORS LICENSE README TODO
%_bindir/*
%_man1dir/*

%files -n python-module-%name
%python_sitelibdir/*

%files -n python-module-%name-doc
%_docdir/%name

%changelog
* Sun Sep 13 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.5-alt1
- Initial build for Sisyphus

